package it.sw.pa.comune.artegna.service.dto;

import it.sw.pa.comune.artegna.domain.enumeration.TipoConferma;
import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the {@link it.sw.pa.comune.artegna.domain.Conferma} entity.
 */
@SuppressWarnings("common-java:DuplicatedBlocks")
public class ConfermaDTO implements Serializable {

    private Long id;

    private String motivoConferma;

    private String codice;

    private TipoConferma tipoConferma;

    private UtenteAppDTO confermataDa;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMotivoConferma() {
        return motivoConferma;
    }

    public void setMotivoConferma(String motivoConferma) {
        this.motivoConferma = motivoConferma;
    }

    public String getCodice() {
        return codice;
    }

    public void setCodice(String codice) {
        this.codice = codice;
    }

    public TipoConferma getTipoConferma() {
        return tipoConferma;
    }

    public void setTipoConferma(TipoConferma tipoConferma) {
        this.tipoConferma = tipoConferma;
    }

    public UtenteAppDTO getConfermataDa() {
        return confermataDa;
    }

    public void setConfermataDa(UtenteAppDTO confermataDa) {
        this.confermataDa = confermataDa;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof ConfermaDTO)) {
            return false;
        }

        ConfermaDTO confermaDTO = (ConfermaDTO) o;
        if (this.id == null) {
            return false;
        }
        return Objects.equals(this.id, confermaDTO.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(this.id);
    }

    // prettier-ignore
    @Override
    public String toString() {
        return "ConfermaDTO{" +
            "id=" + getId() +
            ", motivoConferma='" + getMotivoConferma() + "'" +
            ", tipoConferma='" + getTipoConferma() + "'" +
            ", confermataDa=" + getConfermataDa() +
            "}";
    }
}
